org.eclipse.viatra.query.tooling.ui.queryexplorer.content.patternsviewer

## Class PatternsViewerFlatLabelProvider

- java.lang.Object
- - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.patternsviewer.PatternsViewerFlatLabelProvider

- All Implemented Interfaces:
    org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider
  Direct Known Subclasses:
    PatternsViewerHierarchicalLabelProvider

      public class PatternsViewerFlatLabelProvider
      extends java.lang.Object
      implements org.eclipse.jface.viewers.ILabelProvider

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PatternsViewerInput` | `input`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternsViewerFlatLabelProvider(PatternsViewerInput input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
    `void` | `dispose()`
    `org.eclipse.swt.graphics.Image` | `getImage(java.lang.Object element)`
    `java.lang.String` | `getText(java.lang.Object element)`
    `boolean` | `isLabelProperty(java.lang.Object element, java.lang.String property)`
    `void` | `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### input

          protected PatternsViewerInput input

  - ### Constructor Detail

    - #### PatternsViewerFlatLabelProvider

          public PatternsViewerFlatLabelProvider(PatternsViewerInput input)

  - ### Method Detail

    - #### addListener

          public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

      Specified by:
        `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

    - #### isLabelProperty

          public boolean isLabelProperty(java.lang.Object element,
                                         java.lang.String property)

      Specified by:
        `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

    - #### removeListener

          public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

      Specified by:
        `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

    - #### getImage

          public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

      Specified by:
        `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`

    - #### getText

          public java.lang.String getText(java.lang.Object element)

      Specified by:
        `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`